package com.ynet.life.mvc;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.session.Session;
import com.ynet.gene.web.servlet.ModelAndView;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.exception.TranFailException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/* loaded from: com_ynet_life_mvc.jar:com/ynet/life/mvc/XMLViewWithCheckCodeController.class */
public class XMLViewWithCheckCodeController extends XMLViewRequestController {
    private static final String PARAM_USER_TYPE = "userType";
    private static final String PARAM_CHECK_CODE_NAME = "checkCode";
    private static final String PARAM_SESSION_OBJECT_NAME = "verifyObj";
    private static final String PARAM_SESSION_VERIFY_OBJECT_TIME = "session_verifyObjTime";
    long verifyObjTimeOut = 120000;

    @Override // com.ynet.life.mvc.XMLViewRequestController
    public ModelAndView doRequest(HttpServletRequest request, HttpServletResponse response) throws Exception {
        String productMode = LifeStandard.getBankSettingsValue("productMode");
        String actionId = (String) request.getAttribute(GENEConstance.ATTR_ACTIONID);
        System.out.println("校验sessionId==========+++===" + request.getSession().getId() + "path==" + request.getContextPath());
        if ("true".equals(productMode) && !actionId.equals("signInForMobile")) {
            if (!canPassTimeOut(request)) {
                throw new TranFailException("EBLN5007", "验证码超时，请刷新重新输入验证码");
            }
            if (!canPass(request)) {
                throw new TranFailException("EBLN5006", "验证码输入有误，请重新输入验证码");
            }
        } else {
            String verifyCode = request.getParameter(PARAM_CHECK_CODE_NAME);
            HttpSession cSession = request.getSession();
            cSession.getAttribute(PARAM_SESSION_OBJECT_NAME);
            cSession.removeAttribute(PARAM_SESSION_OBJECT_NAME);
            if ("".equals(verifyCode) || verifyCode == null) {
                throw new TranFailException("EBLN5006", "请重新输入验证码");
            }
        }
        return super.doRequest(request, response);
    }

    private boolean canPassTimeOut(HttpServletRequest request) {
        String productMode = LifeStandard.getBankSettingsValue("productMode");
        if (!"true".equals(productMode)) {
            return true;
        }
        HttpSession cSession = request.getSession();
        Long session_verifyObjTime = (Long) cSession.getAttribute(PARAM_SESSION_VERIFY_OBJECT_TIME);
        long currentTime = System.currentTimeMillis();
        if (session_verifyObjTime == null) {
            return false;
        }
        boolean isTimeout = currentTime - session_verifyObjTime.longValue() < this.verifyObjTimeOut;
        cSession.removeAttribute(PARAM_SESSION_VERIFY_OBJECT_TIME);
        return isTimeout;
    }

    private boolean canPass(HttpServletRequest request) {
        String productMode = LifeStandard.getBankSettingsValue("productMode");
        if (!"true".equals(productMode)) {
            return true;
        }
        String verifyCode = request.getParameter(PARAM_CHECK_CODE_NAME);
        HttpSession cSession = request.getSession();
        String verifyStr = (String) cSession.getAttribute(PARAM_SESSION_OBJECT_NAME);
        cSession.removeAttribute(PARAM_SESSION_OBJECT_NAME);
        if (verifyStr != null && verifyCode != null && verifyCode.equalsIgnoreCase(verifyStr)) {
            return true;
        }
        return false;
    }

    protected void setSessionTimeout(Session session, Context sessionContext) {
        String userTimeout = (String) sessionContext.get("session_timeout");
        if (userTimeout != null && userTimeout.length() > 0) {
            Long timeout = new Long(userTimeout);
            session.setAttribute("sessionTimeout", timeout);
        }
    }
}
